Unverified Commit 6ae992f6 authored by Martin Pugh's avatar Martin Pugh Committed by GitHub
Browse files

Bump version to v0.9.12 (#4089)



* bump version

* update Cargo.lock
Co-authored-by: Andronik Ordian's avatarAndronik Ordian <write@reusable.software>
parent 192fbcbe
Pipeline #162350 failed with stages
in 37 minutes and 59 seconds
......@@ -3129,7 +3129,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -4132,7 +4132,7 @@ dependencies = [
[[package]]
name = "metered-channel"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"derive_more",
......@@ -5421,7 +5421,7 @@ dependencies = [
[[package]]
name = "pallet-xcm"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-support",
"frame-system",
......@@ -5795,7 +5795,7 @@ checksum = "989d43012e2ca1c4a02507c67282691a0a3207f9dc67cec596b43fe925b3d325"
[[package]]
name = "polkadot"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_cmd",
"color-eyre",
......@@ -5807,7 +5807,7 @@ dependencies = [
[[package]]
name = "polkadot-approval-distribution"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"env_logger 0.9.0",
......@@ -5827,7 +5827,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-bitfield-distribution"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -5848,7 +5848,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-distribution"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"derive_more",
......@@ -5875,7 +5875,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-recovery"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"env_logger 0.9.0",
......@@ -5902,7 +5902,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.17",
......@@ -5921,7 +5921,7 @@ dependencies = [
[[package]]
name = "polkadot-client"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"frame-benchmarking",
......@@ -5953,7 +5953,7 @@ dependencies = [
[[package]]
name = "polkadot-collator-protocol"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"always-assert",
"assert_matches",
......@@ -5980,7 +5980,7 @@ dependencies = [
[[package]]
name = "polkadot-core-primitives"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"parity-scale-codec",
"parity-util-mem",
......@@ -5992,7 +5992,7 @@ dependencies = [
[[package]]
name = "polkadot-dispute-distribution"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6021,7 +6021,7 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"parity-scale-codec",
"polkadot-node-primitives",
......@@ -6034,7 +6034,7 @@ dependencies = [
[[package]]
name = "polkadot-gossip-support"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6060,7 +6060,7 @@ dependencies = [
[[package]]
name = "polkadot-network-bridge"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6083,7 +6083,7 @@ dependencies = [
[[package]]
name = "polkadot-node-collation-generation"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"parity-scale-codec",
......@@ -6101,7 +6101,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-approval-voting"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6137,7 +6137,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-av-store"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6164,7 +6164,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-backing"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6188,7 +6188,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-bitfield-signing"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"polkadot-node-subsystem",
......@@ -6203,7 +6203,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-candidate-validation"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6224,7 +6224,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-chain-api"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"maplit",
......@@ -6243,7 +6243,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-chain-selection"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"futures 0.3.17",
......@@ -6264,7 +6264,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-dispute-coordinator"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6288,7 +6288,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-dispute-participation"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"futures 0.3.17",
......@@ -6304,7 +6304,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-parachains-inherent"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -6320,7 +6320,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-provisioner"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"bitvec 0.20.1",
"futures 0.3.17",
......@@ -6337,7 +6337,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-pvf"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"always-assert",
"assert_matches",
......@@ -6371,7 +6371,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-runtime-api"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"memory-lru",
......@@ -6390,7 +6390,7 @@ dependencies = [
[[package]]
name = "polkadot-node-jaeger"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"async-std",
"lazy_static",
......@@ -6407,7 +6407,7 @@ dependencies = [
[[package]]
name = "polkadot-node-metrics"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
......@@ -6417,7 +6417,7 @@ dependencies = [
[[package]]
name = "polkadot-node-network-protocol"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"async-trait",
"derive_more",
......@@ -6434,7 +6434,7 @@ dependencies = [
[[package]]
name = "polkadot-node-primitives"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"bounded-vec",
"futures 0.3.17",
......@@ -6456,7 +6456,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"polkadot-node-jaeger",
"polkadot-node-subsystem-types",
......@@ -6465,7 +6465,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem-test-helpers"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -6483,7 +6483,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem-types"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"derive_more",
"futures 0.3.17",
......@@ -6501,7 +6501,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem-util"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6531,7 +6531,7 @@ dependencies = [
[[package]]
name = "polkadot-overseer"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"femme",
......@@ -6555,7 +6555,7 @@ dependencies = [
[[package]]
name = "polkadot-overseer-gen"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -6572,7 +6572,7 @@ dependencies = [
[[package]]
name = "polkadot-overseer-gen-proc-macro"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"proc-macro-crate 1.1.0",
......@@ -6583,7 +6583,7 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"derive_more",
"frame-support",
......@@ -6599,7 +6599,7 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"bitvec 0.20.1",
"frame-system",
......@@ -6628,7 +6628,7 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-gadget",
"beefy-gadget-rpc",
......@@ -6658,7 +6658,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -6740,7 +6740,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -6790,7 +6790,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-parachains"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"bitflags",
"bitvec 0.20.1",
......@@ -6833,7 +6833,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6935,7 +6935,7 @@ dependencies = [
[[package]]
name = "polkadot-simnet"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -6967,14 +6967,14 @@ dependencies = [
[[package]]
name = "polkadot-simnet-node"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"polkadot-simnet",
]
[[package]]
name = "polkadot-simnet-test"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-system",
"pallet-balances",
......@@ -6988,7 +6988,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-distribution"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"arrayvec 0.5.2",
"assert_matches",
......@@ -7017,7 +7017,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"parity-scale-codec",
"polkadot-primitives",
......@@ -7026,7 +7026,7 @@ dependencies = [
[[package]]
name = "polkadot-test-client"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"parity-scale-codec",
......@@ -7052,7 +7052,7 @@ dependencies = [
[[package]]
name = "polkadot-test-malus"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"assert_matches",
"async-trait",
......@@ -7071,7 +7071,7 @@ dependencies = [
[[package]]
name = "polkadot-test-runtime"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -7136,7 +7136,7 @@ dependencies = [
[[package]]
name = "polkadot-test-service"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-benchmarking",
"frame-system",
......@@ -7755,7 +7755,7 @@ dependencies = [
[[package]]
name = "remote-ext-tests-bags-list"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-election-provider-support",
"frame-support",
......@@ -7855,7 +7855,7 @@ dependencies = [
[[package]]
name = "rococo-runtime"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"bp-messages",
......@@ -9309,7 +9309,7 @@ checksum = "c111b5bd5695e56cffe5129854aa230b39c93a305372fdbb2668ca2394eea9f8"
[[package]]
name = "slot-range-helper"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"enumn",
"parity-scale-codec",
......@@ -10082,7 +10082,7 @@ checksum = "dba1a27d3efae4351c8051072d619e3ade2820635c3958d826bfea39d59b54c8"
[[package]]
name = "staking-miner"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"env_logger 0.9.0",
"frame-election-provider-support",
......@@ -10461,7 +10461,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"dlmalloc",
"parity-scale-codec",
......@@ -10474,7 +10474,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder-collator"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
......@@ -10500,14 +10500,14 @@ dependencies = [
[[package]]
name = "test-parachain-halt"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"substrate-wasm-builder",
]
[[package]]
name = "test-parachains"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"parity-scale-codec",
"sp-core",
......@@ -11551,7 +11551,7 @@ dependencies = [
[[package]]
name = "westend-runtime"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -11733,7 +11733,7 @@ dependencies = [
[[package]]
name = "xcm"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"derivative",
"impl-trait-for-tuples",
......@@ -11745,7 +11745,7 @@ dependencies = [
[[package]]
name = "xcm-builder"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-support",
"frame-system",
......@@ -11768,7 +11768,7 @@ dependencies = [
[[package]]
name = "xcm-executor"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -11785,7 +11785,7 @@ dependencies = [
[[package]]
name = "xcm-executor-integration-tests"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-support",
"frame-system",
......@@ -11814,7 +11814,7 @@ dependencies = [
[[package]]
name = "xcm-simulator"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-support",
"parity-scale-codec",
......@@ -11830,7 +11830,7 @@ dependencies = [
[[package]]
name = "xcm-simulator-example"
version = "0.9.11"
version = "0.9.12"
dependencies = [
"frame-support",
"frame-system",
......
......@@ -6,7 +6,7 @@ path = "src/main.rs"
name = "polkadot"
description = "Implementation of a https://polkadot.network node in Rust based on the Substrate framework."
license = "GPL-3.0-only"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
readme = "README.md"
......
[package]
name = "polkadot-cli"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot Relay-chain Client Node"
edition = "2018"
......
[package]
name = "polkadot-core-primitives"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-erasure-coding"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "erasure_coding_fuzzer"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-client"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-node-collation-generation"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-node-core-approval-voting"
version = "0.9.11"
version = "0.9.12"
authors = ["Parity Technologies <admin@parity.io>"]